package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Menu;
import com.lightinit.hsdatashow.entity.MenuExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface MenuMapper {
    long countByExample(MenuExample example);

    int deleteByExample(MenuExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Menu record);

    int insertSelective(Menu record);

    List<Menu> selectByExample(MenuExample example);

    List<Menu> selectByParentId(Long parentmenu);

    Menu selectByPrimaryKey(Long id);

    List<Menu> selectByUserMenu(String username);

    int updateByExampleSelective(@Param("record") Menu record, @Param("example") MenuExample example);

    int updateByExample(@Param("record") Menu record, @Param("example") MenuExample example);

    int updateByPrimaryKeySelective(Menu record);

    int updateByPrimaryKey(Menu record);
}